/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#ifndef __GUI_H
#define __GUI_H

void GUI_init(const int minimum_x,const int minimum_y);
void GUI_deinit();
void GUI_update(); 
void GUI_putchar(const int x,const int y,const int c);
void GUI_cursor_visibility(const int anaus);
void GUI_cursor_setpos(const int x,const int y);
int GUI_getanzx();
int GUI_getanzy();
void GUI_putstring(const int x,const int y,const char *const s);
void GUI_putrahmen(const int x1,const int y1,const int x2,const int y2);
void GUI_putbox(const int x1,const int y1,const int x2,const int y2,const int c);
void GUI_putcenterstring(const int x,const int y,const char *const s);
void GUI_puthline(const int x1,const int y1,const int x2);
void GUI_putvline(const int x1,const int y1,const int y2);
int GUI_getch(int *const zeichen);
void GUI_reverse(const int anaus);

#define GUI_HLINE 1000
#define GUI_VLINE 1001
#define GUI_ULCORNER 1002
#define GUI_URCORNER 1003
#define GUI_LLCORNER 1004
#define GUI_LRCORNER 1005

extern int GUI_KEYDELETE;
extern int GUI_KEYUP;
extern int GUI_KEYDOWN;
extern int GUI_KEYLEFT;
extern int GUI_KEYRIGHT;

#endif
