/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#include "inconnection.H"

#include "fatal.H"
#include "msgarten.H"
#include "MSG.H"
#include "clientconnection.H"
#include "serverconnection.H"
#include "warter.H"
#include <stdlib.h>
#include <stdio.h>


liste<inconnection> *inconnectionlist;

inconnection::inconnection(int handle,int32 _from)
{
  from=_from;
  com=new MSG_communicator(handle);

  com->sendmsg(MSG_ERIKYYYPHONE_SERVERIDENTIFY_1,MSG_ERIKYYYPHONE_SERVERIDENTIFY_1_BLOCK,
	       strlen(MSG_ERIKYYYPHONE_SERVERIDENTIFY_1_BLOCK)+1);
};

inconnection::~inconnection()
{
  if (com) delete com;
};

int inconnection::handleevent()
{
  if (!(com->handleevent())) return(0);
  if (com->msgavail()) {
    char *message;
    uint8 msgart;
    uint16 len;
    com->recvmsg(&msgart,&message,&len);

    switch(msgart) {
    case MSG_ERIKYYYPHONE_IAMCLIENT:
      {
	liste_elem<int32> *akt=clientallowancelist->first;
	while(akt) {
	  if (*(akt->objptr)==from) {
	    clientconnectionlist->addfront(new clientconnection(com));
	    com=NULL; // DON'T DELETE COM !!!
	    WARTER_reenter=1;
	    goto gotcha;
	  };
	  akt=akt->next;
	};

	char s[100],*ips;
	MSG_ip2string(&ips,from);
	sprintf(s,"I just rejected a !! client !! connection from %s",ips);
	free(ips);
	clientconnection::sendmsg(MSG_PLEASE_LOG_THIS_MESSAGE,s,strlen(s)+1);

      gotcha:;
 	free(message);
	return(0);
      };
    case MSG_ERIKYYYPHONE_IAMSERVER:
      {
	liste_elem<serverconnection> *akt=serverconnectionlist->first;
	while(akt) {
	  if (akt->objptr->st.ip==from) {
	    char s[100],*ips;
	    MSG_ip2string(&ips,from);
	    sprintf(s,"I just rejected a double connection from %s",ips);
	    free(ips);
	    clientconnection::sendmsg(MSG_PLEASE_LOG_THIS_MESSAGE,s,strlen(s)+1);
	    goto fertich;
	  };
	  akt=akt->next;
	};
	serverconnectionlist->addfront(new serverconnection(com,from));
	com=NULL; // DON'T DELETE COM !!!
	WARTER_reenter=1;
      fertich:;
	free(message);
	return(0);
      };
    default:
      {
	free(message);
	return(0);
      };
    };
    free(message);
  };
  return(1);
};
