/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#ifndef __MSGARTEN_H
#define __MSGARTEN_H

#include "allgtypedef.H"

// ************************************* OUTCONNECTION
// outconnection -> serverconnection
#define MSG_V1_SOUND 10
#define MSG_FORCE_SOUND 11

// outconnection -> inconnection
#define MSG_ERIKYYYPHONE_IAMSERVER 20


// ************************************* SERVERCONNECTION
// serverconnection -> outconnection
#define MSG_STATUS 30


// ************************************* INCONNECTION
// inconnection -> oberflaeche / outconnection
#define MSG_ERIKYYYPHONE_SERVERIDENTIFY_1 40
extern char MSG_ERIKYYYPHONE_SERVERIDENTIFY_1_BLOCK[];


// ************************************* OBERFLAECHE
// oberflaeche -> inconnection
#define MSG_ERIKYYYPHONE_IAMCLIENT 50

// oberflaeche -> clientconnection
#define MSG_PLEASE_CONNECT_A_NEW_SERVER 60
#define MSG_PLEASE_TOGGLE_RECORDING 61
#define MSG_PLEASE_KILL_SERVERCONNECTION 62
#define MSG_PLEASE_KILL_OUTCONNECTION 63


// ************************************* CLIENTCONNECTION
// clientconnection -> oberflaeche
#define MSG_PLEASE_LOG_THIS_MESSAGE 70

#define MSG_SERVERCONNECTION_BORN 71
#define MSG_SERVERCONNECTION_DEAD 72
#define MSG_SERVERCONNECTION_MODIFY 73

#define MSG_OUTCONNECTION_BORN 74
#define MSG_OUTCONNECTION_DEAD 75
#define MSG_OUTCONNECTION_MODIFY 76

#define MSG_STATUS_OF_RECORD 77
#define MSG_STATUS_OF_RECORDWISH 78

#define MSG_SERVERCONNECTION_SET 79
typedef struct {
  int32 ip;
  int8 rellatency;
}MSG_SERVERCONNECTION_SET_struct;

#endif
