/*
  
  This file is part of ERIKYYYPHONE
  Copyright (C) 1996 Erik Thiele
  see README for details and contact adresses.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  */

#ifndef __SOUND_H
#define __SOUND_H

#include "buffer.H"


extern int ANZ_BYTES_PRO_COMPRESSEDGSM;
extern int ANZ_SAMPLES_PRO_GSM;
extern int ANZ_SAMPLES_PRO_FRAG;


void SOUND_init(int only8bit,char *device);      // use only 8 Bit, or try to use 16 Bit ???
void SOUND_deinit();


void SOUND_compressgsm(char *dest, char *src);        // src wird vornekilled um einen block
                                                      // dest wird angehaengt

void SOUND_uncompressgsm(char *dest, char *src);      // src wird vornekilled um einen block
                                                      // dest wird angehaengt


void SOUND_setrecordingmode(int);   // 1 = ON     0 = OFF
void SOUND_recordblock(buffer *);   // EIN FRAG wird aufgezeichnet und angehaengt.
int SOUND_recordable();             // Hat SOUND_recordblock was zum lesen ?
int SOUND_setrecordlock(int neu);   // 1 = ON     0 = OFF        return(1) = OK    return(0) = NOT OK


void SOUND_setplayingmode(int);     // 1 = ON     0 = OFF
void SOUND_playblock(buffer *);     // EIN FRAG wird abgespielt und vornekilled.
int SOUND_playable();               // darf SOUND_playblock was schreiben ?
int SOUND_setplaylock(int neu);     // 1 = ON     0 = OFF        return(1) = OK    return(0) = NOT OK

#endif
